﻿body {
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    box-sizing: border-box;
}
.knob-ui {
    border: solid 20px transparent;
    width: 120px;
    height: 120px;
    margin: auto;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.knob-ui > .knob-ui-title {
    font-size:24px;
    font-weight:600;
    color:#666667;
}
#totalSet[readonly] {
    border: 0 !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    background: none !important;
    font-weight: 600 !important;
    color: #000 !important;
    top: -2px !important;
    position: relative !important;
    font-size: 14px !important;
}
.invitation-alert {
    color: #856404;
    background-color: #fff3cd;
    border-color: #ffeeba;
    display: none;
    justify-content: space-between;
    align-items: center;
}
.showmoreorless:before {
    content: 'Show less';
}
.showmoreorless.collapsed:before {
    content: 'Show more';
}
a:focus {
    text-decoration: none;
}
section {
    position:relative;
}
.mask.inprogress:before {
    background-color:#fff;
    opacity:0.6;
    position:absolute;
    left:0;
    right:0;
    width:100%;
    height:100%;
    bottom:0;
    top:0;
    content:'';
    cursor:wait;
}
.mask-content {
    display:none;
}
.mask.inprogress > .mask-content {
    position: absolute;
    width: 100%;
    height: 100px;
    text-align: center;
    margin: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display:block;
}
.box-custom {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
    padding: 15px 0 10px 0;
}

.box-blank {
    border-top-style: solid !important;
    border-top-width: 1px !important;
    border-radius: 0 !important;
    margin-top: 15px !important;
    padding-top: 10px !important;
}

.hidden-desktop {
    display: none !important;
}

.modal .status-container {
    float: left;
    align-items: center;
    display: flex;
    flex: 1;
    align-content: center;
    padding: 5px;
}

.error {
    color: #d33724 !important;
    font-weight: normal !important;
    padding: 0.25em 0 0;
    display: block;
}

.input-error {
    color: #d33724 !important;
    border-color: #d33724 !important;
}

.sweet-alert h2 {
    font-size: 18px;
    padding-top: 10px;
}

.sweet-alert .lead {
    font-size: 14px;
}

.sorting_desc, .sorting_asc {
    border-bottom: solid 3px #00c0ef !important;
    transition: border-color linear 0.5s;
}

    .sorting_desc::after {
        content: "\f078" !important;
        font-family: "Font Awesome 5 Free" !important;
    }

    .sorting_asc::after {
        content: "\f077" !important;
        font-family: "Font Awesome 5 Free" !important;
    }

.sorting::after {
    content: "\f078" !important;
    font-family: "Font Awesome 5 Free" !important;
    color: #999;
}

.table .form-control {
    height: 30px;
    padding: 3px 12px;
    font-size: 12px;
    border-radius: 0px;
}

.edit-active.focused {
    background-color: #f5f5f5 !important;
}

.lead .form-group {
    display: block !important;
}

.datatable-footer-controls {
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
}

    .datatable-footer-controls .col {
        flex: 1;
    }

    .datatable-footer-controls .form-group label {
        display: block;
    }

.dataTable .select-td {
    width:30px !important;
}

textarea {
    resize: none;
}

.form-group.form-group-inline {
    display: flex;
}

    .form-group.form-group-inline label, .form-group.form-group-inline .form-control {
        align-self: flex-start;
        margin-right: 1rem;
        margin-bottom: 0;
        padding-bottom: 0;
    }

.detail-wrapper form-group-inline label {
    align-self: flex-start;
}

.modal .form-group-inline label {
    padding-top: 0.6rem;
}
/*.form-group.form-group-inline .form-control {
    max-width:50%;
}*/
.form-group-static {
    margin-bottom: 0;
    display: flex;
    align-items: center;
}

    .form-group-static label, .form-group-static .form-control-static {
        margin-bottom: 0;
        padding-bottom: 0;
    }

    .form-group-static label {
        padding-top: 0.015rem;
    }

    .form-group-static .form-control-static {
        width: 80%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

.form-control-static {
    border: 0;
    padding-left: 15px;
    padding-top: 0;
    top: -5px;
    position: relative;
    min-height: 30px;
    background: none !important;
    position: relative;
}

.modal .form-control-static {
    top: 0;
}

.form-static div[class*=col-md] {
    display: block;
    width: 100%;
}

.form-static .form-group label {
    width: 120px;
    vertical-align: top;
    padding-top: 10px;
}

.form-static .form-group {
    margin-bottom: 0;
}

    .form-static .form-group .form-control-static[disabled] {
        background: none;
    }

.form-static .modal-footer .btn:not([data-dismiss="modal"]) {
    display: none;
}

.form-group > label {
    vertical-align: top;
}

.small-box > .small-box-header {
    position: relative;
    text-align: left;
    padding: 8px 15px;
    color: #fff;
    display: block;
    z-index: 10;
    background: rgba(0, 0, 0, 0.1);
    text-decoration: none;
    font-size: 18px;
    font-weight: 700;
    color: #fff;
    text-transform: uppercase;
    border-radius: 6px 6px 0 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

#projectdashboardBox .small-box > .inner-total {
    min-height: 50px;
    align-items: center;
    align-self: center;
    display: block;
    height: 50px;
    padding: 10px;
}

#projectdashboardBox .small-box:hover {
    color: #444 !important
}

#projectdashboardBox .small-box > .inner {
    min-height: 100px;
    align-items: center;
    align-self: center;
    display: block;
}

    #projectdashboardBox .small-box > .inner h3 {
        font-size: calc(1em + 1.3vw);
        text-align: center;
        line-height: 1em;
        padding: 1.2em 0 1em;
        margin: 0;
        color: #666 !important;
    }

#projectdashboardBox .tab-pane .box {
    border-width: 1px !important;
    border-color: rgba(0, 0, 0, .1) !important;
}

#projectdashboardBox .panel.box > .box-header:first-child {
    background-color: #f4f4f4;
}

.border-orange {
    border-color: #ff851b !important;
    border: solid 1px;
}

.border-yellow {
    border-color: #f39c12 !important;
    border: solid 1px;
}

.border-light-blue {
    border-color: #3c8dbc !important;
    border: solid 1px;
}

.border-green {
    border-color: #00a65a !important;
    border: solid 1px;
}

.border-purple {
    border-color: #605ca8 !important;
    border: solid 1px;
}

.row.equal {
    display: flex;
    flex-wrap: wrap;
}

    .row.equal .small-box {
        height: 95%;
        margin-bottom: 5%;
    }

.form-control-static {
    box-shadow: none !important;
    outline: none !important;
}

.flex-equal-col .form-group {
    margin-bottom: 0 !important;
}

.noselect, .form-control-static {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}

table.dataTable tr th.select-checkbox.selected::after {
    content: "✔";
    margin-top: -11px;
    margin-left: -4px;
    text-align: center;
    text-shadow: rgb(176, 190, 217) 1px 1px, rgb(176, 190, 217) -1px -1px, rgb(176, 190, 217) 1px -1px, rgb(176, 190, 217) -1px 1px;
}

.modal-full {
    min-width: 80%;
}

.table .form-control:not(.--select2 select2-hidden-accessible) {
    width: 100% !important;
}

.btn-tools {
    padding: 1rem;
}

    .btn-tools .btn:not(:first-child) {
        margin-left: 5px;
    }

#table_estimates_wrapper .dataTables_filter {
    display: none;
}

.form-control.has-error {
    border-color: #dd4b39 !important;
    color: #d33724 !important;
    font-weight: normal !important
}

table.dataTable .btn {
    margin-left: 5px;
    margin-bottom: 3px;
    min-width:60px;
}

.no-datatable-search > .dataTables_wrapper > .row:first-child {
    display: none !important;
}

.btn-action-tool > a:last-child {
    margin-right: 0;
}

.panel .box-title a:after {
    content: "\f106";
    position: absolute;
    left: 250px;
    font: normal normal normal 20px/1 "Font Awesome 5 Free";
}

.panel .box-title a.collapsed:after {
    content: "\f107";
    position: absolute;
    left: 250px;
    font: normal normal normal 20px/1 "Font Awesome 5 Free";
}

.project-details label, .project-details .form-control-static {
    font-size: 20px !important;
}

#accordion_estimate a[data-toggle="collapse"]:hover, #accordion_estimate a[data-toggle="collapse"]:focus, #accordion_estimate a[data-toggle="collapse"]:active {
    text-decoration: none !important;
}

.treeview.menu-open > a > .pull-right-container > i.fa:before {
    content: "\f106" !important;
}

.treeview > a > .pull-right-container > i.fa:before {
    content: "\f107" !important;
}

.border-yellow {
    border-color: #fbdb30 !important;
    border: solid 1px;
}

.bg-blue
.bg-gray {
    background-color: #929292 !important;
}

.bg-red {
    background-color: #c92828;
}

.bg-yellow {
    background-color: #fccc2c !important;
}

.knob-label {
    font-weight: 700 !important;
    margin-top: 16.4px;
}

.small-box.with-border {
    border-color: #eee !important;
    border: 1px solid;
}

.bg-orange-1 {
    background-color: #f07120 !important;
}

.bg-pink {
    background-color: #fc6554 !important;
}

.small-box .info-box {
    color: #444 !important;
    border: 0 !important;
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    margin-bottom: 0 !important;
}

.small-box .info-box-icon {
    background: none !important;
}

.small-box .info-box-text {
    text-transform: capitalize;
    margin-bottom: 5px;
}

.small-box .info-box-content > .info-box-number {
    font-size: 16px;
}

    .small-box .info-box-content > .info-box-number:not(:last-child) {
        margin-bottom: 15px;
    }

.small-box-header > .note {
    margin: 0;
    font-size: 12px;
    float: right;
}

.d-flex-container {
    display: flex;
    -ms-flex-direction: column;
    -webkit-flex-direction: column;
    flex-direction: column;
    flex-shrink: inherit;
    flex-grow: inherit;
    padding: 11.4px;
}

    .d-flex-container .d-flex-item {
        height: 100px;
        display: grid;
        align-items: center;
    }

.main-header .sidebar-toggle:before {
    font-family: "Font Awesome 5 Free" !important;
}

.project-details label {
    min-width: 115px;
    white-space: nowrap;
    max-width: 150px;
    /*margin-top: -10px;*/
}
.project-details .form-group-static {
    align-items:flex-start;
}
    .project-details .form-group-static p {
        white-space: pre-wrap;
        word-break: break-word;
    }
.project-details .form-group-static > *:not(label) {
    padding-top: 5px;
}
.modal .form-group label, .detail-wrapper .form-group label {
    min-width: 140px;
    white-space: nowrap;
    max-width: 170px;
}

.detail-wrapper .form-group.form-group-inline label {
    padding-bottom: 10px;
}

.modal-full .form-group, .detail-wrapper .form-group {
    max-width: 500px;
}

.detail-wrapper .form-group {
    margin-bottom: 0 !important;
}

    .modal .form-group .form-control, .detail-wrapper .form-group .form-control {
        margin-right: 0;
        -webkit-user-select: none; /* Safari */
        -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* IE10+/Edge */
        user-select: none; /* Standard */
    }

.modal .form-group {
    margin-bottom: 15px;
}

.modal-body > form {
    padding: 10px;
}

.box-group .box-body, .box-body + .box-body {
    padding: 0;
}

section {
    margin-bottom: 15px;
}

.small-box {
    background-color: #fff;
}

.f1vw {
    font-size: 30px !important;
}

.f2vw {
    font-size: 20px !important;
}

.box-tools > button:not(:last-child) {
    /*margin-left: 1rem;*/
}
/*table th {
    width : auto !important;
}*/
.table-responsive {
    width:100%;
}
table {
    margin: 0 auto;
    width: 100%;
    clear: both;
    border-collapse: collapse;
    /*table-layout: fixed;*/
}
.dataTables_wrapper.form-inline {
    width:100%;
}
.select2-selection {
    height: 35px !important;
    border-radius: 16px !important;
}

.select2-selection__arrow {
    height: 35px !important;
}

table .select2-selection {
    height: 30px !important;
    padding: 4px 20px 4px 8px !important;
}

table .select2-selection__arrow {
    height: 30px !important;
}

table .select2-container {
    width: 100% !important;
}

.btn-num {
    min-width: 45px;
}

div#more_projects {
    min-height: 300px !important;
}

.small-box {
    border-radius: 6px;
}

div#more_projects .small-box .small-box-header {
    background-color: #00c0ef !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

}

#more_projects + [data-target="#more_projects"] {
    margin: 0 15px 15px 15px;
    min-width: 100px;
    outline: none;
}

    #more_projects + [data-target="#more_projects"]::before {
        content: ' Show more...';
    }

#more_projects.collapse + [data-target="#more_projects"]::before {
    content: ' Show more...';
}

#more_projects.collapse.in + [data-target="#more_projects"]::before {
    content: ' Show less...';
}

#more_projects > section.row > div[class^=col]:nth-child(3) ~ div[class^=col] {
    display: none;
}

#more_projects.collapse, #more_projects.collapse.in > section.row > div[class^=col] {
    display: block !important;
}

#table_estimates_wrapper .dataTables_paginate, #table_purchaseorders_wrapper .dataTables_paginate {
    /*position: absolute;
    right: 0;
    margin-top: -40px;*/
}

#companyName {
    margin-top: 10px;
    font-size: 20px;
    color: #000;
}

.skin-black-light .wrapper, .skin-black-light .main-sidebar, .skin-black-light .left-side {
    background-color: #6e6b6b !important;
}

.skin-black-light .main-sidebar {
    border-right: 1px solid #6e6b6b;
}

.skin-black-light .sidebar a {
    color: #fff;
}

.skin-black-light .sidebar-menu > li:hover > a, .skin-black-light .sidebar-menu > li.active > a {
    color: #fff;
    background: #615f5f;
    border-left-color: #fccc2c;
}

.dropzone {
    border: 2px dashed rgba(0,0,0,0.3) !important;
}
/**:not(.modal) table thead tr > th:last-child {
    width: 150px !important;
}
#table_activities thead tr > th:last-child {
    width: 40% !important;
}

table tbody tr > td:last-child .btn {
    min-width: 40px;
}
table .btn {
   margin:1px;
}
table tbody tr > td:last-child div {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
#table_estimates tbody tr > td:last-child div {
    justify-content: space-between;
}
table tbody tr > td:last-child .btn {
    width: auto;
    margin: 1px;
}
#table_activities tr > td:last-child .btn {
    min-width: 120px;
    margin: 3px;
}
#table_estimates tbody tr > td:last-child .btn {
    width: 33%;
    min-width: initial;
    margin: 0;
}
#table_estimates tbody tr > td:last-child .btn:first-child:not(.disabled-onedit-active) {
    width: 66%;
}*/
.flex-equal-col {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.form-control {
    padding: 6px 12px !important;
}

.nav-tabs-custom > .nav-tabs > li.active {
    border-top: solid 3px #00c0ef !important;
}

.nav-tabs-custom > .nav-tabs > li > a {
    font-weight: 700;
}

.btn-yellow {
    background-color: #FFFF00;
    border: solid 1px #CCCC00;
    font-weight: 700;
    color: #333;
}

.btn.btn-secondary {
    background-color: #6e6b6b;
    color: #fff;
}

.btn.btn-primary {
    background-color: #00bff3;
    border-color: #00bff3;
}

.main-header .navbar, .main-header .logo, .bg-bright-blue {
    background-color: #00bff3 !important;
}

.skin-black-light .main-header .logo {
    border-right: 1px solid #00bff3 !important;
}

.skin-black-light .main-header {
    border-bottom: none;
}

.main-header .navbar *, .main-header .logo * {
    border: 0 !important;
}

.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {
    background-color: #00bff3;
    border-color: transparent;
}


.progress-bar-green, .progress-bar-success {
    background-color: #00a65a;
}

.project-details {
    padding: 3rem 0;
}

.btn.bg-yellow {
    color: #333 !important;
    font-weight: bold;
}

.skin-black-light .sidebar-menu > li > a {
    font-weight: normal !important;
}

.dataTables_wrapper.form-inline tbody .form-control {
    width: 100%;
}

body:not(.sidebar-collapse) .show-on-collapse {
    display: block;
}

.sidebar-collapse .hide-on-collapse, body:not(.sidebar-collapse) .show-on-collapse {
    display: none;
}

.sidebar-collapse .treeview-menu {
    padding: 0 5px;
}

    .sidebar-collapse .treeview-menu li, .sidebar-collapse .treeview-menu a {
        margin-left: 0;
        padding-left: 5px !important;
        padding-right: 5px !important;
    }

        .sidebar-collapse .treeview-menu li + li {
            padding-bottom: 0 !important;
            padding-top: 5px !important;
        }

.boQMainCategory {
    width: 100%;
    min-width: 1080px;
}

    .boQMainCategory span {
        /*padding-left: 3em;*/
        text-align: center;
        padding: 0px;
    }

    .boQMainCategory ul {
        list-style-type: none; /* Remove bullets */
        padding-inline-start: 0px;
    }

    .boQMainCategory .row-content ul {
        list-style-type: none; /* Remove bullets */
        padding-inline-start: 0px;
        margin-top: 3px;
        border-top: solid 1px #eee;
    }

        .boQMainCategory .row-content ul.ulContainer {
            border: none;
            margin-top: 0px;
        }

    .boQMainCategory .level-row {
        position: relative;
    }

    .boQMainCategory label {
        font-weight: normal;
    }

    .boQMainCategory .level-row:after {
        clear: both;
    }

    .boQMainCategory .level-header {
        font-weight: 600;
    }

        .boQMainCategory .level-header div {
            display: inline-block;
            text-align: center;
        }

    .boQMainCategory ul:after, .clear-fix {
        clear: both;
    }

    .boQMainCategory .elements {
        display: inline-block;
    }

    .boQMainCategory .form-control {
        max-width: 200px;
        display: inline-block;
        font-size: 12px;
    }

    .boQMainCategory .row-responsive {
        overflow: auto;
    }

    .boQMainCategory .row-content div, .boQMainCategory .grand-total div {
        display: inline-block;
    }

    .boQMainCategory .row-content .costs div {
        text-align: center;
    }

    .boQMainCategory .level-row .LEVEL1 > div {
        background: red;
    }

    .boQMainCategory .ui-state-highlight {
        padding: 1px;
        background-color: #00bff3;
        border-color: #00bff3;
    }

    .boQMainCategory .headerSubTotalContent,
    .boQMainCategory .level-header .costs > *:not(#totalContainer),
    .boQMainCategory .LEVEL1 > li.level-row .ulContainer {
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        -webkit-transition: all 0.5s ease;
        transition: all 0.5s ease;
    }

    .boQMainCategory .LEVEL1 > li.level-row .headerSubTotalContent,
    .boQMainCategory.summary-view .level-header .costs > *:not(#totalContainer) {
        opacity: 0;
    }

    .boQMainCategory.summary-view .LEVEL1 > li.level-row .ulContainer,
    .boQMainCategory.summary-view .LEVEL1 > li.level-row .ulContainer + .sub-total,
    .boQMainCategory.summary-view .sub-total-item {
        display: none !important;
    }

    .boQMainCategory.summary-view .LEVEL1 > li.level-row .headerSubTotalContent {
        opacity: 1;
    }

    .boQMainCategory .controls {
        display: flex;
        -webkit-align-items: center;
        align-items: center;
        -webkit-justify-content: space-between;
        justify-content: space-between;
    }

        .boQMainCategory .controls .btn.btn-xs {
            padding: 0;
            background-color: transparent;
        }

    .boQMainCategory .noStringContainer {
        text-align: center;
    }

    .boQMainCategory .costs {
        -ms-word-break: break-word;
        word-break: break-word;
        word-spacing: normal;
        word-wrap: break-word;
        text-wrap: normal;
    }

    .boQMainCategory .controls {
        -webkit-justify-content: flex-start;
        justify-content: flex-start;
        -ms-flex-wrap: wrap;
        -webkit-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .boQMainCategory .categoryDiv {
        font-weight: bold;
    }

    .boQMainCategory #noContent {
        border: 1px solid #ccc;
        padding: 40px;
        width: 100%;
        text-align: center;
        font-size: 20px;
    }

/*#bidformdashboardBox .level-row {
    min-height: 30px;
}*/


#bidformdashboardBox .costCode {
    display: none !important;
}
#boqprojectdashboardBox:not(.view-only) .boQMainCategory .sub-total, #boqprojectdashboardBox:not(.view-only) .boQMainCategory .row-content ul,
#bidformdashboardBox:not(.view-only) .boQMainCategory .sub-total, #bidformdashboardBox:not(.view-only) .boQMainCategory .row-content ul,
#boqArchitectDashboardBox:not(.view-only) .boQMainCategory .sub-total, #boqArchitectDashboardBox:not(.view-only) .boQMainCategory .row-content ul {
    border-color: #fff !important;
}
#combinedmaterialOrder_view:not(.view-only) .row-content .level-row:before, .row-content .freeze:before {
    /*content: "\f548";
font-family: "Font Awesome 5 Free";
font-weight: 900;
color: #999;*/
    content: '';
    background-position: 0 0;
    background-repeat: no-repeat;
    background-image: url('fwicons/dots.svg');
    display: inline-flex;
    align-items: center;
    height: 20px;
    width: 10px;
}

#combinedmaterialOrder_view:not(.view-only) .row-content .level-row:before, .row-content .freeze.noFreeze:before {
    background-image: none;
}

#combinedmaterialOrder_view.view-only .boQMainCategory {
    padding-left: 15px;
}

#combinedmaterialOrder_view .btn-add-category, #combinedmaterialOrder_view .controls {
    opacity: 0;
    visibility: hidden;
}

#combinedmaterialOrder_view:not(.view-only) .btn-add-category, #combinedmaterialOrder_view:not(.view-only) .controls {
    opacity: 1;
    visibility: visible;
}

#combinedmaterialOrder_view.view-only .boQMainCategory .level-row .btn-link, #combinedmaterialOrder_view.view-only .boQMainCategory .level-row .form-control {
    padding: 0 !important;
}

#combinedmaterialOrder_view.view-only .boQMainCategory .level-row .form-control-static {
    top: 0 !important;
    min-height: initial !important;
}

#combinedmaterialOrder_view.view-only .boQMainCategory .level-row label {
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
}

#combinedmaterialOrder_view.view-only .boQMainCategory .level-row .btn-link[disabled] {
    color: #333 !important;
    opacity: 1 !important;
    cursor: default !important;
}

    #combinedmaterialOrder_view.view-only .boQMainCategory .level-row .btn-link[disabled].text-danger {
        color: #a94442 !important;
        opacity: 1 !important;
        cursor: default !important;
    }

#combinedmaterialOrder_view .boQMainCategory ul ul {
    padding-top: 0 !important;
}

#combinedmaterialOrder_view.view-only input.form-control-static {
    font-weight: 600;
    font-size: 14px;
}

#combinedmaterialOrder_view.view-only .form-control-static {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

#combinedmaterialOrder_view .search-form {
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    -ms-flex-wrap: wrap;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
}

    #combinedmaterialOrder_view .search-form > * {
        margin-left: 5px;
    }

.search-field {
    display: inline-flex;
    -webkit-align-items: center;
    align-items: center;
    position: relative;
}

    .search-field > .form-control {
        padding-right: 30px !important;
    }

    .search-field::after {
        content: "\f002";
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        font-size: 14px;
        color: #999;
        position: absolute;
        right: 10px;
    }

.custom-icon:before {
    content: '';
    height: 23px;
    width: 23px;
    display: inline-flex;
    line-height: 1;
    background-repeat: no-repeat;
    background-position: center center;
    color: #fff;
    align-items: center;
    background-size: 2.2em;
    position: relative;
    top: -1px;
}

.custom-icon.svg-layer:before {
    /*background-image: url(fwicons/1.svg);*/
    background-image: url('fwicons/LAYERS.svg');
}

.custom-icon.svg-enter:before {
    /*background-image: url('fwicons/2.svg');*/
    background-image: url('fwicons/ENTER.svg');
}

.custom-icon.svg-delete:before {
    /*background-image: url('fwicons/3.svg');*/
    background-image: url('fwicons/DELETE.svg');
    background-size: 2.2em;
}
/*.custom-icon.svg-delete2:before {
    background-image: url('fwicons/4.svg');
}
.custom-icon.svg-enter2:before {
    /*background-image: url('fwicons/5.svg');
    background-image: url('fwicons/ENTER.svg');
}*/
.custom-icon.svg-ruler:before {
    /*background-image: url(fwicons/1.svg);*/
    background-image: url('fwicons/RULER.svg');
    background-size: 100%;
    height: 20px;
    width: 20px;
    top: -5px;
}
.custom-icon.svg-calculator:before {
    background-image: url('fwicons/calculator.svg');
    background-size: 100%;
    height: 20px;
    width: 20px;
    top: -5px;
}
.custom-icon.svg-percent:before {
    background-image: url('fwicons/percent.svg');
    background-size: 100%;
    height: 20px;
    width: 20px;
    top: -5px;
}
.custom-icon.svg-list:before {
    background-image: url('fwicons/list.svg');
    background-size: 100%;
    height: 20px;
    width: 20px;
    top: -5px;
    left: -4px;
}

.custom-icon.svg-bidInvites:before {
    background-image: url('fwicons/email icon.svg');
    background-size: 1.3em;
    background-position-y: 0px;
}

.custom-icon.svg-contractors:before {
    background-image: url('fwicons/hardhat icon.svg');
    background-size: 1.6em;
    background-position-y: -5px;
}

.custom-icon.svg-pc:before {
    background-image: url('fwicons/pc icon.svg');
    background-size: 24px;
    background-position-y: -4px;
}

.custom-icon.svg-truck:before {
    background-image: url('fwicons/truck icon.svg');
    background-size: 25px;
    background-position-y: -5px;
}

.text-danger {
    font-weight: bold;
    color: #a94442 !important;
}

.highlight {
    background-color: #fff34d;
    -moz-border-radius: 5px; /* FF1+ */
    -webkit-border-radius: 5px; /* Saf3-4 */
    border-radius: 5px; /* Opera 10.5, IE 9, Saf5, Chrome */
    -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.7); /* FF3.5+ */
    -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.7); /* Saf3.0+, Chrome */
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.7); /* Opera 10.5+, IE 9.0 */
}

.highlight {
    padding: 1px 4px;
    margin: 0 -4px;
}

.sub-total {
    background-color: #fff !important;
    color: #000 !important;
}

.custom-checkbox {
    border: solid 1px #6e6b6b;
    min-width: 120px;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
    margin: auto;
    padding: 0.45rem;
    border-radius: 6px;
    display: inline-block;
}

    .custom-checkbox > label:before {
        border: 0 !important;
        /*border-right: solid 1px #6e6b6b !important;*/
    }

    .custom-checkbox div {
        color: #00bff3;
        display: inline-block;
        margin-top: 3px;
    }

.styled-checkbox {
    position: absolute;
    opacity: 0;
}

    .styled-checkbox + label {
        position: relative;
        cursor: pointer;
        padding: 0;
        display: inline-block;
        float: left;
        padding-top: 1px;
        color: #00bff3;
        margin-left: 5px;
    }

        .styled-checkbox + label:before {
            content: "";
            display: inline-block;
            vertical-align: middle;
            width: 18px;
            height: 18px;
            background: #929292;
            border: solid 1px #929292;
            position: relative;
            border-radius: 50%;
        }

    .styled-checkbox:hover + label:before {
        /*background: #f35429;*/
    }

    .styled-checkbox:focus + label:before {
        /*box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.12);*/
    }

    .styled-checkbox:checked + label:before {
        background: #fccc2c;
    }

    .styled-checkbox:disabled + label {
        color: #b8b8b8;
        cursor: auto;
    }

        .styled-checkbox:disabled + label:before {
            box-shadow: none;
            background: #ddd;
        }

    .styled-checkbox + label:after {
        content: "";
        position: absolute;
        left: 3px;
        top: 11px;
        background: #d5d5d5;
        width: 2px;
        height: 2px;
        box-shadow: 2px 0 0 #d5d5d5, 4px 0 0 #d5d5d5, 4px -2px 0 #d5d5d5, 4px -4px 0 #d5d5d5, 4px -6px 0 #d5d5d5, 4px -8px 0 #d5d5d5;
        transform: rotate(45deg);
    }

    .styled-checkbox:checked + label:after {
        content: "";
        position: absolute;
        left: 3px;
        top: 11px;
        background: #111;
        width: 2px;
        height: 2px;
        box-shadow: 2px 0 0 #111, 4px 0 0 #111, 4px -2px 0 #111, 4px -4px 0 #111, 4px -6px 0 #111, 4px -8px 0 #111;
        transform: rotate(45deg);
    }

#table_boq_presets td label.checkbox-inline {
    text-align: center;
    display: block;
    padding-left: 0;
}

    #table_boq_presets td label.checkbox-inline > input {
        position: absolute;
        left: 0;
    }

.knob {
    font-size: 25px !important;
}

.select2, .select2-selection {
    width: 100% !important;
    display: inline-flex;
    border-color: #ccc !important;
}

    .select2 .selection, .select2-selection .selection {
        width: 100%;
    }

.freeze {
    position: absolute;
    background-color: #fff;
    top: 0;
}

    .freeze + .costs {
        margin-left: 26%;
    }

#boqprojectdashboardBox div.row-content.ui-sortable:not(.ui-sortable-disabled) .level-row > div,
#bidformdashboardBox div.row-content.ui-sortable:not(.ui-sortable-disabled) .level-row > div,
#boqArchitectDashboardBox div.row-content.ui-sortable:not(.ui-sortable-disabled) .level-row > div {
    height: 33px;
}

.grand-total-edit div {
    display: inline-block;
}

#table_boq_suggestions .group > td, .tbl-group .group > td {
    background-color: #d5d5d5 !important;
}

#table_boq_suggestions thead .totalCostContainer input, .totalCost {
    background-color: #d5d5d5;
    font-weight: bold;
    font-size: 28px;
    min-width: 100px;
    color: #fff;
    padding: 10px !important;
    height: 60px;
    border-radius: 12px !important;
    display: inline-block;
    max-width: 200px;
    box-shadow: none !important;
}

#table_boq_suggestions thead .totalCostContainer label {
    flex-grow: 1;
    align-self: flex-end;
    font-weight: normal;
}

@media (min-width: 992px) {
    #boqUnitCostSuggestionModal .modal-lg {
        width: 1200px;
    }
}

@media only screen and (max-height: 720px) {
    .modal .modal-body {
        max-height: 400px;
        overflow: auto;
    }
}

@media only screen and (max-width: 768px) {
    table, thead, tbody, th, td, tr {
        display: block;
    }

    td {
        width: 100%;
        border-top: 0;
    }



    thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    .dataTables_filter {
        padding-top: 1rem;
    }

    tr + tr {
        border-top: 0;
    }

    td {
        border: none;
        border-bottom: 1px solid #eee;
        position: relative;
        text-align: left !important;
    }

        td[data-title]:not(.dataTables_empty) {
            text-indent: 50% !important;
        }

            td[data-title]:not(.dataTables_empty) .select2 {
                margin-left: 50%;
            }

            td[data-title]:not(.dataTables_empty):before {
                position: absolute;
                top: 6px;
                left: 6px;
                width: 45%;
                padding-right: 10px !important;
                white-space: nowrap;
                text-align: left;
                text-indent: 10px;
            }

            td[data-title]:not(.dataTables_empty)::before {
                content: attr(data-title);
            }

    .text-bold-sm {
        font-weight: 700;
    }

    tfoot, .table-responsive {
        width: 100%;
        display: block;
    }

        tfoot tr > th {
            display: inherit !important;
        }

    .modal .form-group, .dataTables_wrapper, .modal-full {
        max-width: 100%;
    }

    .modal .table .form-control, .modal .table .select2 {
        width: 45% !important;
        margin-left: 45% !important;
    }

    .table tfoot th, .table tfoot th * {
        text-align: center !important;
    }

    .modal-full, tfoot th {
        width: 100%;
    }

    .dataTables_paginate {
        position: relative !important;
        margin: 0 !important;
    }

    table.dataTable td.dataTables_empty, table.dataTable th.dataTables_empty {
        text-align: center !important;
    }

    .knob-label + div {
        position: relative !important;
    }

    tfoot .form-group label {
        display: block !important;
        text-align: center !important;
        width: 100% !important;
        max-width: 100% !important;
    }
}

.switch {
    position: relative;
    display: inline-block;
    width: 130px;
    height: 30px;
    vertical-align: top;
    margin-left: 4px;
    margin-right: 4px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #d5d5d5;
    -webkit-transition: .4s;
    transition: .4s;

}

    .slider:before {
        position: absolute;
        content: "";
        height: 32px;
        width: 32px;
        left: 0;
        bottom: 0;
        -webkit-transition: .4s;
        transition: .4s;
        box-shadow: #999 1px 1px 2px 1px;
        border: solid 1px #d5d5d5;
        background: linear-gradient(150deg, #fff 0%,#fcfcfc 100%)
    }

input:checked + .slider {
    background-color: #00bff3;
}

input:checked + .slider:before {
    left: 45px;
}


input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(55px);
    -ms-transform: translateX(55px);
    transform: translateX(55px);
}

/*------ ADDED CSS ---------*/

.on {
    display:none;
}
.on, .off {
    color: white;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    font-size: 12px;
     text-transform: uppercase;
}

.on {
    left: 45%;
}
.off {
    left: 58%;
}

input:checked + .slider .on {
    display: block;
}

input:checked + .slider .off {
    display: none;
}

/*--------- END --------*/
    /* Rounded sliders */
    .slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}
a.dropdown-item {
    display:block;
    padding:0 0.35rem;
}

.theme-v2 .main-sidebar, .theme-v2 .main-header .logo {
    background-color: #111 !important;
    border-color: #111 !important;
}
.theme-v2 .sidebar-menu > li > .treeview-menu {
    background-color: #222 !important;
    border-color: #222 !important;
}
.theme-v2 .main-header .navbar {
    background-color: #fff !important;
    box-shadow: 0px 0px 6px 0px #666 !important;
}
.theme-v2 .content-wrapper {
    background-color: #f7f4f1 !important;
}
.theme-v2 #productCatalogueBox .global-search input {
    background-color: #f7f4f1 !important;
}
.theme-v2 .sidebar a, .theme-v2 .sidebar-menu > li > .treeview-menu {
    color: #ddd !important;
}

@media only screen and (min-device-width: 769px) and (max-device-width: 1366px) {
    /*table tbody tr > td:last-child div {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-evenly;
    }

    table tbody tr > td:last-child .btn {
        width: 48%;
        margin: 1px;
    }

    #table_activities tbody tr > td:last-child .btn {
        width: 48%;
        margin:1px;
    }*/
    .boQMainCategory {
        /*min-width: 1366px;
        overflow: auto;*/
    }


    .boQMainCategory {
        padding-left: 0;
    }

        .boQMainCategory .row {
            margin-right: 0;
            margin-left: 0;
        }

        .boQMainCategory span {
            /*padding-left: 1rem !important;*/
        }


        .boQMainCategory .controls > a {
            margin-bottom: 1px;
        }

    .f1vw {
        font-size: 16px !important;
    }

    .hidden-desktop, .show-all .hidden-mobile {
        display: inline-block !important;
    }

    .hidden-mobile {
        display: none !important;
    }
}

@media only screen and (max-width: 312px), (min-device-width: 312px) and (max-device-width: 400px) {
    input.knob {
        left: 98%;
        top: 15%;
    }

    .f1vw {
        font-size: 16px !important;
    }

    .modal .modal-body {
        max-height: 300px;
        overflow: auto;
    }

    #table_estimates_wrapper .dataTables_paginate, #table_purchaseorders_wrapper .dataTables_paginate {
        position: relative;
        right: 0;
        margin-top: 0;
    }

    .knob-label + div > input {
        margin-top: -56% !important;
        margin-left: -66% !important;
    }

    tfoot .form-group label {
        display: block !important;
        text-align: center !important;
        width: 100% !important;
        max-width: 100% !important;
    }
}

@media (min-width: 1200px){
    .container {
        width: 1276px;
    }
    .reg > *{
        color: #fbcc2e;
    }
}
.mobile-img{
    display:none;
}
/*mobile and tablet*/
@media (max-width: 768px) {
    .login-container, .login-form-wrapper, .flex-controls {
        display: block !important;
        width: 100% !important;
        min-width: 100% !important;
        max-width: 100% !important;
    }
    .login-container img, .login-form-wrapper {
        margin: 0 !important;
    }
    .login-form-wrapper{
        margin-top:0 !important;
    }
    .login-wrapper, .login-form-wrapper{
        align-items:initial !important;
        justify-content:initial !important;
        height: unset !important;
    }
    .login-form-wrapper > * {
        display: block;
    }
    .login-form {
        padding: 30px 15px;
    }
    .login-container > img {
        display: none;
    }
    .login-form-wrapper .mobile-img {
        display:block;
        margin:0 auto !important;
    }

    footer, header{
        height:unset !important;
    }
    header{
        padding:3px 10px;
    }
    .sidebar-toggle {
        position: absolute;
        right: 15px;
        display: flex;
        align-items: center;
        height: 100%;
        top: 10px;
    }
    .sidebar-toggle > em {
        color: #fff;
        font-weight: 900;
    }
     header > .navbar {
        width: 100%;
    }
    .navbar-brand img {
        max-height: 43px;
    }
    .sidebar-open .navbar-collapse {
        position: absolute;
        display: block;
        top: 74px;
        color: #111;
        width:100%;
    }
    .sidebar-open .navbar-nav li {
        display: block !important;
        line-height: unset;
        width: 100%;
        padding-right:0;
    }
    .sidebar-open .navbar-nav > li a, .sidebar-open a.nav-link {
        color: #000 !important;
        font-family: 'ProximaNovaRegular',Helvetica,Arial,Lucida,sans-serif;
        font-weight: 300;
        font-size: 16px;
        color: #666;
        padding: 10px 5%;
        line-height: 23px;
        width: 100%;
        border-bottom: 1px solid rgba(0,0,0,.03);
        display:block;
    }
    .sidebar-open .sub-menu {
        visibility: visible !important;
        opacity: 1 !important;
        position: relative !important;
        border: none !important;
        width:100%;
        top:0;
        margin:0;
        list-style:none;
        box-shadow:none !important;
        padding:0;
    }
    .reg {
        background-color: rgba(0,0,0,.03) !important;
    }
    .reg > em {
        display:none;
    }
    .sidebar-open .navbar-nav {
        z-index: 9999;
        border-top: 3px solid #2ea3f2;
        box-shadow: 0 2px 5px rgba(0,0,0,.1);
        -moz-box-shadow: 0 2px 5px rgba(0,0,0,.1);
        -webkit-box-shadow: 0 2px 5px rgba(0,0,0,.1);
        background: #fff !important;
        border-top: 3px solid #000 !important;
        padding: 5%;
    }
    header {
        position:relative;
    }
    main {
        padding-top: 0 !important;
        margin-top: 0 !important;
    }
    header > .container{
        width:100%;
    }
    footer{
        padding-left:15px;
        padding-right:15px;
    }
    footer ul li{
        line-height:30px;
    }

    [data-empty]:empty:before{
        content:attr(data-empty);
        display:flex;
        align-items:center;
        justify-content:center;
        font-weight:bold;
        padding:0.35rem;
        min-height:30px;
    }
}